/* prims.h */
/* dfinition externe des primitives C */
/* version 0.6 */
/* Rgis Cridlig 1994 */

extern obj_t
  tree_equal(),         /* equal.c */
  int_of_string(),      /* ints.c */
  format_int(),         /* ints.c */
  string_of_tag(),      /* fail.c */
  format_float(),       /* floats.c */
  float_of_string(),    /* floats.c */
  exp_float(),          /* floats.c */
  log_float(),          /* floats.c */
  sqrt_float(),         /* floats.c */
  power_float(),        /* floats.c */
  sin_float(),          /* floats.c */
  cos_float(),          /* floats.c */
  tan_float(),          /* floats.c */
  asin_float(),         /* floats.c */
  acos_float(),         /* floats.c */
  atan_float(),         /* floats.c */
  atan2_float(),        /* floats.c */
  compare_strings(),    /* strings.c */
  blit_string(),        /* strings.c */
  fill_string(),        /* strings.c */
  is_printable(),       /* strings.c */
  open_descriptor(),    /* rio.c */
  channel_descriptor(), /* rio.c */
  channel_size(),       /* rio.c */
  flush(),              /* rio.c */
  output_char(),        /* rio.c */
  output_int(),         /* rio.c */
  output(),             /* rio.c */
  seek_out(),           /* rio.c */
  pos_out(),            /* rio.c */
  close_out(),          /* rio.c */
  input_char(),         /* rio.c */
  input_int(),          /* rio.c */
  input(),              /* rio.c */
  seek_in(),            /* rio.c */
  pos_in(),             /* rio.c */
  close_in(),           /* rio.c */
  extern_val(),         /* intext.c */
  intern_val(),         /* intext.c */
  hash_univ_param(),    /* hash.c */
  sys_exit(),           /* sys.c */
  sys_open(),           /* sys.c */
  sys_close(),          /* sys.c */
  sys_remove(),         /* sys.c */
  sys_rename(),         /* sys.c */
  sys_chdir(),          /* sys.c */
  sys_getenv(),         /* sys.c */
  sys_read(),           /* sys.c */
  sys_catch_break(),    /* sys.c */
  parse_engine(),       /* parser.c */
  obj_size(),           /* meta.c */
  obj_is_block(),       /* meta.c */
  obj_block(),          /* meta.c */
  get_next_char();      /* lexer.c */
  /*unix_error_message(), / * unix.c */
  /*unix_environment(),   / * unix.c */
  /*unix_execv(),         / * unix.c */
  /*unix_execve(),        / * unix.c */
  /*unix_execvp(),        / * unix.c */
  /*unix_fork(),          / * unix.c */
  /*unix_wait(),          / * unix.c */
  /*unix_waitop(),        / * unix.c */
  /*unix_getpid(),        / * unix.c */
  /*unix_getppid(),       / * unix.c */
  /*unix_nice(),          / * unix.c */
  /*unix_open(),          / * unix.c */
  /*unix_close(),         / * unix.c */
  /*unix_read(),          / * unix.c */
  /*unix_write(),         / * unix.c */
  /*unix_lseek(),         / * unix.c */
  /*unix_truncate(),      / * unix.c */
  /*unix_ftruncate(),     / * unix.c */
  /*unix_stat(),          / * unix.c */
  /*unix_fstat(),         / * unix.c */
  /*unix_link(),          / * unix.c */
  /*unix_chmod(),         / * unix.c */
  /*unix_fchmod(),        / * unix.c */
  /*unix_chown(),         / * unix.c */
  /*unix_fchown(),        / * unix.c */
  /*unix_umask(),         / * unix.c */
  /*unix_access(),        / * unix.c */
  /*unix_fcntl_int(),     / * unix.c */
  /*unix_fcntl_ptr(),     / * unix.c */
  /*unix_mkdir(),         / * unix.c */
  /*unix_chdir(),         / * unix.c */
  /*unix_rmdir(),         / * unix.c */
  /*unix_opendir(),       / * unix.c */
  /*unix_readdir(),       / * unix.c */
  /*unix_rewinddir(),     / * unix.c */
  /*unix_closedir(),      / * unix.c */
  /*unix_pipe(),          / * unix.c */
  /*unix_dup(),           / * unix.c */
  /*unix_dup2(),          / * unix.c */
  /*unix_symlink(),       / * unix.c */
  /*unix_readlink(),      / * unix.c */
  /*unix_mkfifo(),        / * unix.c */
  /*unix_ioctl_int(),     / * unix.c */
  /*unix_ioctl_ptr(),     / * unix.c */
  /*unix_select(),        / * unix.c */
  /*unix_lockf(),         / * unix.c */
  /*unix_kill(),          / * unix.c */
  /*unix_pause(),         / * unix.c */
  /*unix_time(),          / * unix.c */
  /*unix_gmtime(),        / * unix.c */
  /*unix_localtime(),     / * unix.c */
  /*unix_alarm(),         / * unix.c */
  /*unix_sleep(),         / * unix.c */
  /*unix_times(),         / * unix.c */
  /*unix_utimes(),        / * unix.c */
  /*unix_getuid(),        / * unix.c */
  /*unix_geteuid(),       / * unix.c */
  /*unix_setuid(),        / * unix.c */
  /*unix_getgid(),        / * unix.c */
  /*unix_getegid(),       / * unix.c */
  /*unix_getgroups(),     / * unix.c */
  /*unix_getlogin(),      / * unix.c */
  /*unix_getpwnam(),      / * unix.c */
  /*unix_getgrnam(),      / * unix.c */
  /*unix_getpwuid(),      / * unix.c */
  /*unix_getgrgid(),      / * unix.c */
  /*unix_inet_addr_of_string(),        / * unix.c */
  /*unix_string_of_inet_addr(),        / * unix.c */
  /*unix_socket(),        / * unix.c */
  /*unix_socketpair(),    / * unix.c */
  /*unix_bind(),          / * unix.c */
  /*unix_connect(),       / * unix.c */
  /*unix_listen(),        / * unix.c */
  /*unix_recv(),          / * unix.c */
  /*unix_recvfrom(),      / * unix.c */
  /*unix_send(),          / * unix.c */
  /*unix_sendto(),        / * unix.c */
  /*unix_shutdown(),      / * unix.c */
  /*unix_gethostname(),   / * unix.c */
  /*unix_gethostbyname(), / * unix.c */
  /*unix_gethostbyaddr(), / * unix.c */
  /*unix_getprotobyname(),/ * unix.c */
  /*unix_getprotobynumber(),           / * unix.c */
  /*unix_getservbyname(), / * unix.c */
  /*unix_getservbyport(); / * unix.c */
